<?php
function dwd_woocommerce_install() {
	// patch for version 1.0 - remove seperate product classes
	global $wpdb;
	// does the old table still exist?
	if (dwd_wc_pre_10_table_exists()) {
		// get woocommerce products
		$products = dwd_wc_get_linked_products();

		// loop through all the products. Store the uuid on dwd_product_uuid to be used for api traffic
		foreach ($products as $product) {
			if ($id = $product->get_meta('dwd_product_id', true)) {
				$sql = $wpdb->prepare("SELECT * FROM {$wpdb->prefix}dwd_products WHERE id = %d", [intval($id)]);
				$result = $wpdb->get_row($sql, ARRAY_A);
				$product->add_meta_data('dwd_product_uuid', $result['uuid']);
				$product->delete_meta_data('dwd_product_id');
				$product->save();
			}
		}
	}
	add_option('dwd_woocommerce_plugin_version', DWD_WOOCOMMERCE_PLUGIN_VERSION);
}

function dwd_wc_pre_10_table_exists()
{
	global $wpdb;
	$results = $wpdb->get_results("SHOW TABLES", ARRAY_N);
	foreach ($results as $row) {
		$table = $row[0];
		if ($table === "{$wpdb->prefix}dwd_products") {
			return true;
		}
	}
	return false;
}